@import 'src/style/theme/theme_css_vars.module.scss';
@import 'src/style/includes/icons.module.scss';

@import 'src/style/includes/reset.module.scss';
@import 'src/style/includes/font.module.scss';
@import 'src/style/includes/fluid-sizes.module.scss';
@import 'src/style/includes/sass_vars_and_mixins.module.scss';
@import 'src/style/includes/base.module.scss';
@import 'src/style/includes/space.module.scss';

* {
  box-sizing: border-box;
}

html,
body {
  font-size: 16px;
  //@include color-theme(light);
  @include font-style(base);
  @include color(text-base);
}

html {
  -webkit-print-color-adjust: exact;
  @extend %smootScroll;
}

body {
  font-family: var(--font-family-base);
  background-color: #fff;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.theme-light {
  @include color-theme(light);
  @include color(text-base);
}

.theme-dark {
  @include color-theme(dark);
  @include color(text-base);
}

.note {
  @include color(brand-weaker);
  font-style: italic;
}

// Utility
.screenreader-only {
  position: absolute;
  left: -10000px !important;
  top: auto;
  width: 1px !important;
  height: 1px !important;
  overflow: hidden;
}

.static {
  .hide-in-static {
    display: none;
  }
}
